New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Python 3.6 RoboRIO startup issue #243

Closed
virtuald opened this Issue Jan 7, 2017 · 5 comments

Comments

Projects
None yet
2 participants
@virtuald
Member

virtuald commented Jan 7, 2017

BlockingIOError: [Errno 11] Resource temporarily unavailable 
  
 The above exception was the direct cause of the following exception: 
  
 Traceback (most recent call last): 
   File "/home/lvuser/py/robot.py", line 15, in <module> 
     import wpilib 
   File "/usr/local/lib/python3.6/site-packages/wpilib/__init__.py", line 72, in <module> 
     from ._impl.main import run 
   File "/usr/local/lib/python3.6/site-packages/wpilib/_impl/main.py", line 7, in <module> 
     from pkg_resources import iter_entry_points 
   File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py", line 36, in <module> 
     import email.parser 
   File "/usr/local/lib/python3.6/email/parser.py", line 12, in <module> 
     from email.feedparser import FeedParser, BytesFeedParser 
   File "/usr/local/lib/python3.6/email/feedparser.py", line 27, in <module> 
     from email._policybase import compat32 
   File "/usr/local/lib/python3.6/email/_policybase.py", line 9, in <module> 
     from email.utils import _has_surrogates 
   File "/usr/local/lib/python3.6/email/utils.py", line 28, in <module> 
     import random 
   File "/usr/local/lib/python3.6/random.py", line 742, in <module> 
     _inst = Random() 
 SystemError: <class 'random.Random'> returned a result with an error set 

This seems to be caused by running

https://www.python.org/dev/peps/pep-0522/#raising-blockingioerror-in-os-urandom-on-linux

The behavior is that the robot program restarts a few times, but eventually gets fixed and the program starts up. It's weird, because it shouldn't be using urandom at this point... will need to investigate this and fix it before the end of the season.

@virtuald

This comment has been minimized.

Show comment
Hide comment
@virtuald
Member

virtuald commented Jan 8, 2017

Bug filed on python at http://bugs.python.org/issue29208

@virtuald

This comment has been minimized.

Show comment
Hide comment
@virtuald

virtuald Jan 8, 2017

Member

@auscompgeek thinks that python/cpython@ff4a079 would fix this.

Member

virtuald commented Jan 8, 2017

@auscompgeek thinks that python/cpython@ff4a079 would fix this.

@virtuald

This comment has been minimized.

Show comment
Hide comment
@virtuald

virtuald Jan 10, 2017

Member

I'm running a build now with the patch, so hopefully will be able to test this later tonight.

Member

virtuald commented Jan 10, 2017

I'm running a build now with the patch, so hopefully will be able to test this later tonight.

@virtuald

This comment has been minimized.

Show comment
Hide comment
@virtuald

virtuald Jan 10, 2017

Member

Fixed in Python 3.6.0-r1 in the ipkg feed

Member

virtuald commented Jan 10, 2017

Fixed in Python 3.6.0-r1 in the ipkg feed

@virtuald virtuald closed this Jan 10, 2017

@auscompgeek

This comment has been minimized.

Show comment
Hide comment
@auscompgeek

auscompgeek Mar 4, 2017

Member

In case anyone's looking at this and is curious as to where the commit is in the new cpython git tree: python/cpython@acc2f74

Member

auscompgeek commented Mar 4, 2017

In case anyone's looking at this and is curious as to where the commit is in the new cpython git tree: python/cpython@acc2f74

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment